You can read these without choosing:

Tallybuy
Deliver toDE

Netgear

NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey

1 offer · 1 shop · last checked 2026-10-29 20:18 (Europe/Berlin)

Switch type
Unmanaged
Basic switching RJ-45 Ethernet ports quantity
48
Networking standards
IEEE 802.1p, IEEE 802.3az
Copper ethernet cabling technology
10BASE-T
Product image: NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey1 / 6

Delivered total

EUR 380,39

Sold by 0815 DE · GS748-100EUS · New

Offers

1 live offer

Ordered by delivered total, lowest first. Offers whose total is not stated follow; that placement says nothing about their price.

Links to merchants are affiliate links (advertising). Tallybuy earns a commission if you buy. The offers, their order and what you pay stay the same. About affiliate links

Observed item prices

0815 DE, one listing

This is the item price of one seller's listing, not a delivered total and not the best price across sellers.

Observed prices over time

Latest
EUR380,3929 Oct 2026
Lowest
Unchanged since 12 Oct 2026
Observed prices over time
DayLowestHighestLastChecks
29 Oct 2026EUR380,39EUR380,39EUR380,393
28 Oct 2026EUR380,39EUR380,39EUR380,393
27 Oct 2026EUR380,39EUR380,39EUR380,393
26 Oct 2026EUR380,39EUR380,39EUR380,392
25 Oct 2026EUR380,39EUR380,39EUR380,393
24 Oct 2026EUR380,39EUR380,39EUR380,393
23 Oct 2026EUR380,39EUR380,39EUR380,392
22 Oct 2026EUR380,39EUR380,39EUR380,393
21 Oct 2026EUR380,39EUR380,39EUR380,393
20 Oct 2026EUR380,39EUR380,39EUR380,393
19 Oct 2026EUR380,39EUR380,39EUR380,392
18 Oct 2026EUR380,39EUR380,39EUR380,393
17 Oct 2026EUR380,39EUR380,39EUR380,393
16 Oct 2026EUR380,39EUR380,39EUR380,393
15 Oct 2026EUR380,39EUR380,39EUR380,393
14 Oct 2026EUR380,39EUR380,39EUR380,393
13 Oct 2026EUR380,39EUR380,39EUR380,393
12 Oct 2026EUR380,39EUR380,39EUR380,391

About this product

NETGEAR GS748, Unmanaged, Gigabit Ethernet (10/100/1000), Full duplex, Rack mounting

Read the full source description

PLUG-AND-PLAY

Simple set up with no software to install or configuration needed

NON-BLOCKING SWITCHING

Non-blocking switching architecture for maximum throughput at wire speed

FANLESS DESIGN

Silent operation makes this switch perfect for noise-sensitive environments

VERSATILE MOUNTING OPTIONS

Place your switch on your desktop or mount it to your rack with the hardware provided in the box

ENERGY EFFICIENT

Energy Efficient Ethernet (IEEE 802.3az) standard, which reduces energy consumption when there is light traffic on an active port or when there is no link or no activity detected

QUALITY AND RELIABILITY

Peace of mind with limited lifetime warranty, next business day replacement, and lifetime email and chat support.

Text from Specs Icecat.

Specifications

35 specifications

Product data: Specs Icecat

GTIN
00606449174892
MPN
GS748-100EUS
Management features3
Switch type
Unmanaged
Quality of Service (QoS) support
Yes
MIB support
RFC 1213 MIB II, RFC 1643, RFC 1493
Ports & interfaces2
Basic switching RJ-45 Ethernet ports quantity
48
Basic switching RJ-45 Ethernet ports type
Gigabit Ethernet (10/100/1000)
Network6
Networking standards
IEEE 802.1p, IEEE 802.3az
Copper ethernet cabling technology
10BASE-T
Full duplex
Yes
Flow control support
Yes
Link aggregation
Yes
Ethernet LAN data rates
1000 Mbit/s
Data transmission5
MAC address table
8000 entries
Maximum data transfer rate
1 Gbit/s
Jumbo frames support
Yes
Jumbo frames
9.216
Packet buffer memory
1.5 MB
Design3
Rack mounting
Yes
Product colour
Grey
Safety
CE mark, cUL IEC950/EN60950
Performance1
Mean time between failures (MTBF)
1094297 h
Power2
Power source
AC
Power consumption (max)
23 W
Power over Ethernet (PoE)1
Power over Ethernet (PoE)
No
Other features5
Latency
2,900ns
Connectivity technology
Wired
I/O ports
48 x 10/100/1000 Mbps 4 x SFP
Electromagnetic emissions
CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick
Authentication method
802.1x
Operational conditions2
Operating temperature (T-T)
0 - 50 °C
Operating relative humidity (H-H)
10 - 90%
Weight & dimensions4
Width
440 mm
Depth
202 mm
Height
43 mm
Weight
3.2 kg
Certificates1
Compliance certificates
Federal Communications Commission (FCC)